summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authorJakub Stachurski <j.stachurski@student.utwente.nl>2025-10-04 13:41:12 +0200
committerJakub Stachurski <j.stachurski@student.utwente.nl>2025-10-04 13:41:12 +0200
commit38231218792e8cb112c229fc6b55cdcb5caae95c (patch)
tree0a2e86cdfb9755fb4b832f89bf107c6dfdb12b70 /update.sh
parentdc44f954a0db4e484da80377f645d459fcf901dc (diff)
Fix spotifyd and add nom + update script
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/update.sh b/update.sh
new file mode 100755
index 0000000..ce84c61
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -x
+
+
+# sudo bash -c "nixos-rebuild switch --flake /home/wilkuu/nix-config#apocalypse --log-format internal-json -v |& nom --json"
+dir=$(dirname "$0")
+host=$1; shift;
+args=$@
+# Check if nom is present
+nom_cmd="nom --json"
+cat_cmd="cat"
+output_monitor_cmd=$(which nom 2>&1 > /dev/null && echo $nom_cmd || echo $cat_cmd)
+
+
+nixos-rebuild switch --flake $dir\#$host --log-format internal-json -v $args |& $output_monitor_cmd